The IllegalOperationError exception is thrown when a method is not implemented or the implementation doesn't cover the current usage.

Examples of illegal operation error exceptions include:

- A base class, such as DisplayObjectContainer, provides more functionality than a Stage can support(such as masks)
- Certain accessibility methods are called when the player is compiled without accessibility support
- The mms.cfg setting prohibits a FileReference action
- ActionScript tries to run a `FileReference.browse()` call when a browse dialog box is already open
- ActionScript tries to use an unsupported protocol for a FileReference object(such as FTP)
- Authoring-only features are invoked from a run-time player
- An attempt is made to set the name of a Timeline-placed object

### Hierarchy

- Error
  - IllegalOperationError

## Index

### Constructors

- constructor

### Properties

- errorID
- message
- name

### Methods

- getStackTrace

## Constructors

### constructor

- new IllegalOperationError(message?: string): IllegalOperationError

- Overrides Error.constructor

  - Defined in lib/openfl/errors/IllegalOperationError.d.ts:29

  Creates a new IllegalOperationError object.

  #### Parameters

  - ##### Optional message: string

    A string associated with the error object.

  #### Returns IllegalOperationError

## Properties

### errorID

errorID: number

Inherited from Error.errorID

- Defined in lib/openfl/errors/Error.d.ts:11

### message

message: string

Inherited from Error.message

- Defined in lib/openfl/errors/Error.d.ts:12

### name

name: string

Inherited from Error.name

- Defined in lib/openfl/errors/Error.d.ts:13

## Methods

### getStackTrace

- getStackTrace(): string

- Inherited from Error.getStackTrace

  - Defined in lib/openfl/errors/Error.d.ts:22

  #### Returns string

Generated using TypeDoc